Bug 56381 - system hangs when starting X (startx from command prompt)
system hangs when starting X (startx from command prompt)
Product: Red Hat Linux
Classification: Retired
Component: XFree86-Servers (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-11-16 11:47 EST by geoff allsup
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-16 11:47:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description geoff allsup 2001-11-16 11:47:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.2-2smp i686)

Description of problem:
system hangs hard periodically when starting X from the command prompt.  As
usual in X startup, the screen flashes, blanks, but then instead of
continuing to nVidia splash screen, hangs with a blue @ sign in the upper
left of a black screen.  And that's all....no keyboard response, or network
access.  A hard reboot is required.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.at command prompt, startx

Actual Results:  see description above

Additional info:

somewhat random in occurrence.  I have the vague impression that it is more
likely to lock up just after login; and less likely to lock up if the
"startx" command is preceded by 2 or 3 "sync" commands.

I have tried specifying VideoRam 65536 in the XF86Config "device" section
for the nvidia driver, in hopes that might prevent a lockup due to some
auto-probing problem;  it still locks up however.

Hardware is Dell Precision 530 workstation with dual 1.7 gHz Xeons, 1 GB
RAM, and nVidia Quadro2 Pro 64MB
Comment 1 Mike A. Harris 2001-11-16 13:39:00 EST
Red Hat provides support for the drivers that ship with the OS, however
we do not support using the Nvidia binary only driver.  Please contact
Nvidia directly for support for their driver.

The "nv" driver shipped with the OS, supports the following hardware 

Comment 2 geoff allsup 2001-11-16 21:30:14 EST
so, do you recommend trying the 'nv' driver?  I didn't realize there were 2
different drivers for this card.

Or am I better off with some video card other than the nVidia as shipped by
Dell??  Which card??
Comment 3 Mike A. Harris 2001-11-17 02:15:10 EST
The "nv" driver is limited to 2D only, and is not very good at all.
You can try it, but I do not think the Pro version of your card is
supported.  I would have to check the sources to be sure.  It is
best just trying it.

There are actually 3 drivers for Nvidia hardware.  The XFree86 4.x
"nv" driver, and the 3.3.6 server, both of which which ship with
Red Hat Linux, with 2D only support.  For those needing 3D
acceleration support, you are better off replacing the card with
an "ATI Radeon 64DDR" card, as it is currently the best supported
3D accelerator in Red Hat Linux.  Hope this helps.

Note You need to log in before you can comment on or make changes to this bug.